Configuration object typically passed to the constructor of the class Updux.

### Type parameters

- #### TState = unknown

### Hierarchy

- UpduxConfig

## Index

### Properties

- actions
- effects
- initial
- mappedReaction
- mappedSelectors
- mutations
- reactions
- selectors
- subduxes

## Properties

### Optional actions

actions?: Record<string, any>

Local actions.

### Optional effects

effects?: Record<string, Function>

Local effects.

### Optional initial

initial?: TState

Local initial state.

default

  {}

### Optional mappedReaction

mappedReaction?: boolean | Function

If true, enables mapped reactions. Additionally, it can be a reaction function, which will treated as a regular reaction for the mapped dux.

### Optional mappedSelectors

mappedSelectors?: Record<string, Function>

Selectors to apply to the mapped subduxes. Only applicable if the dux is a mapping dux.

### Optional mutations

mutations?: Record<string, Function>

Local mutations

### Optional reactions

reactions?: Record<string, Function>

Local reactions.

### Optional selectors

selectors?: Record<string, Function>

Local selectors.

### Optional subduxes

subduxes?: Dict < Updux <unknown> | UpduxConfig <unknown>>

Subduxes to be merged to this dux.

Generated using TypeDoc